* {
  box-sizing: border-box;
  transition: all ease-in-out 350ms;
}
.muestra-mensaje {
  background-color: rgba(41, 131, 131, 0.2);
  color: white;
}
body {
  background-color: rgb(199, 199, 199);
  font-family: "Poppins", sans-serif;
  margin: 0;
  min-height: 100vh;
}
.header {
  background-image: url("https://roma-it.ar/img/fondo1.jpg");
  background-size: 100%;
  box-shadow: 0 3px 10px black;
  width: 100%;
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 11;
}
.top-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header h1 {
  color: white;
  font-size: 26px;
  text-align: left;
  text-shadow: 3px 4px 4px teal;
  width: 50%;
  align-self: start;
  margin-left: 5px;
}
.nav {
  position: absolute;
  right: 0px;
  top: -140px;
  width: 140px;
}
.show {
  z-index: 10;
  background-color: rgba(151, 133, 133, 0.7);
  padding: 3px;
  padding-bottom: 8px;
  position: absolute;
  right: 0px;
  top: 100px;
  width: 140px;
}
.menu {
  margin-left: 5px;
  padding: 0;
  list-style-type: none;
}
.menu li a {
  color: thistle;
  text-shadow: 3px 3px 3px black;
  text-decoration: none;
  font-weight: bold;
}
.menu li {
  color: blue;
  margin: 10px 0;
}
.menu li:hover {
  cursor: pointer;
  text-shadow: 0px 0px 10px rgb(95, 185, 42);
}
.foto {
  width: 20%;
  margin-top: 10px;
  z-index: -4;
  box-shadow: 0px 0px 15px black;
  padding: 5px;
  background-color: rgba(49, 7, 7, 0.4);
}
main p {
  text-align: center;
  margin: 10px 0;
  font-size: 14px;
  text-shadow: 2px 2px 4px rgb(110, 107, 102);
}
.padding-top {
  padding-top: 15px;
}
.skills {
  background-color: white;
  padding: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.redes {
  padding: 5px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 50%;
}
.redes img {
  width: 35px;
}
.redes a {
  height: 45px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.center {
  text-align: center;
}
footer {
  display: flex;
  justify-content: space-between;
  background-color: white;
  align-items: center;
}
.texto-footer p {
  text-align: center;
  font-size: 12px;
  font-weight: 300;
  margin: 0;
}
.texto-footer {
  width: 50%;
  font-size: 12px;
}
#portfolio {
  background-color: rgb(105, 138, 138);
  display: flex;
  color: white;
  flex-direction: column;
  align-content: center;
}
#portfolio img {
  width: 80%;
  align-self: center;
  margin-bottom: 20px;
  box-shadow: 8px 14px 10px black;
}
#portfolio a {
  display: flex;
  justify-content: center;
}
.volver {
  text-decoration: none;
  text-align: center;
  background-color: rgba(151, 133, 133, 0.7);
  color: white;
  border-radius: 4px;
  padding: 5px;
  position: fixed;
  bottom: 40px;
  width: 45px;
  font-size: 20px;
  right: 0;
  box-shadow: 5px 5px 8px rgb(63, 55, 55);
  cursor: pointer;
}
.about {
  background-image: url("https://www.roma-it.ar/img/fondo2.jpg");
  background-size: 100%;
  color: white;
  flex-direction: column;
  padding: 5px;
}
.about h3 {
  text-align: center;
  letter-spacing: 2px;
  font-size: 22px;
  text-shadow: 0 0 10px black;
}
.about p {
  padding: 5px;
  font-size: 12px;
  font-weight: 400;
}
.boton-nav {
  color: white;
  display: block;
  padding: 10px 0;
  margin-right: 5px;
  background-color: rgba(41, 131, 131, 0.5);
  width: 50px;
  border-radius: 4px;
  text-align: center;
  font-size: 18px;
  cursor: pointer;
}
.boton-nav:hover {
  background-color: rgb(41, 131, 131);
}
.email-button {
  color: rgb(118, 86, 204);
  width: 25%;
  font-size: 24px;
  display: flex;
  justify-content: center;
  cursor: pointer;
}
.contenedor-foto {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 0.8rem auto;
}
.contact-form {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 15px;
}
.contact-form input {
  margin-bottom: 15px;
}
.contact-form textarea {
  height: 100px;
  margin-bottom: 15px;
}
.form-buttons {
  display: flex;
  width: 40%;
  align-self: center;
  justify-content: space-around;
  margin-bottom: 10px;
}
.titulo-portfolio {
  text-align: center;
  text-shadow: 3px 3px 5px rgb(0, 0, 0, 0.6);
}
.descripcion {
  font-size: 0.7rem;
  margin: 0;
  padding: 0;
  text-align: center;
  line-height: 1.4;
}
.bajada {
  text-align: center;
  padding: 10px;
  font-weight: 600;
}
.foto-cv {
  display: block;
  margin: 0 auto 30px;
  width: 60%;
  box-shadow: 0px 0px 15px rgb(0, 0, 0);
}
.icono {
  width: 100%;
  max-width: 60px;
  max-height: 60px;
  object-fit: contain;
}
.icons-container {
  display: flex;
  justify-content: space-around;
  margin: 1rem 0;
  width: 100%;
}
.field {
  padding: 5px;
}
.btn {
  padding: 0.4rem 0.8rem;
}
@media (min-width: 768px) {
  html {
    font-size: 18px;
  }
  .top-header {
    width: 100%;
    justify-content: center;
    height: 100%;
    align-items: center;
    align-content: center;
  }
  .header h1 {
    text-align: center;
    width: none;
    margin-left: 0;
  }
  .boton-nav {
    display: none;
  }
  .nav {
    width: 100%;
    display: flex;
    top: 50px;
    left: 0px;
    z-index: 100;
  }
  .menu {
    display: flex;
    width: 100%;
    justify-content: space-around;
  }
  .menu li {
    margin: 5px 20px;
  }
  .menu li a {
    font-size: 18px;
  }
  .foto {
    max-width: 50%;
    margin: 2rem auto 1rem;
    display: inline-block;
  }
  .contenedor-foto {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: 0 auto 1rem;
  }

  .titulo-portfolio {
    font-size: 2rem;
  }
  .bajada {
    font-size: 1.2rem;
  }
  .descripcion {
    font-size: 0.8rem;
  }
  .container {
    display: flex;
    justify-content: center;
  }
  .contact-form {
    width: 60%;
  }
  .skills {
    flex-direction: row;
    justify-content: center;
  }
  .icons-container {
    display: flex;
    justify-content: space-around;
    margin: 1rem 0;
    width: 50%;
  }
  main p {
    font-size: 18px;
  }
  .header h1 {
    font-size: 28px;
    text-align: center;
    letter-spacing: 1.6px;
  }
  .icono {
    max-width: 90px;
    max-height: 90px;
  }
}
